
From: Christoph Hellwig <hch@lst.de>

I think Andreas exported them to allow modular xattr handlers, but with
James rework these aren't possible anymore, and we never had them anyway.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/ext2/xattr.c |    5 -----
 1 files changed, 5 deletions(-)

diff -puN fs/ext2/xattr.c~remove-ext2-xatts-exports fs/ext2/xattr.c
--- 25/fs/ext2/xattr.c~remove-ext2-xatts-exports	2004-10-24 23:48:47.106552376 -0700
+++ 25-akpm/fs/ext2/xattr.c	2004-10-24 23:48:47.111551616 -0700
@@ -64,11 +64,6 @@
 #include "xattr.h"
 #include "acl.h"
 
-/* These symbols may be needed by a module. */
-EXPORT_SYMBOL(ext2_xattr_get);
-EXPORT_SYMBOL(ext2_xattr_list);
-EXPORT_SYMBOL(ext2_xattr_set);
-
 #define HDR(bh) ((struct ext2_xattr_header *)((bh)->b_data))
 #define ENTRY(ptr) ((struct ext2_xattr_entry *)(ptr))
 #define FIRST_ENTRY(bh) ENTRY(HDR(bh)+1)
_
